Package be.fgov.ehealth.rn.commons.business.v1

# Class StatusType

java.lang.Object
be.fgov.ehealth.rn.commons.business.v1.StatusType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class StatusType extends Object implements Serializable

Java class for StatusType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Value">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="DATA_FOUND"/>
                   <enumeration value="NO_DATA_FOUND"/>
                   <enumeration value="NO_RESULT"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Code">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <maxLength value="16"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Description" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <maxLength value="256"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Information" type="{urn:be:fgov:ehealth:rn:commons:business:v1}InformationType" maxOccurs="15" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  the code of the status
  `String`
  `getDescription()`
  the description of the status
  `List<InformationType>`
  `getInformations()`
  Gets the value of the informations property.
  `String`
  `getValue()`
  global status of the result
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatusType

    public StatusType()

- ## Method Details

  - ### getValue

    public String getValue()
    global status of the result
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getValue()`

  - ### getCode

    public String getCode()
    the code of the status
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCode()`

  - ### getDescription

    public String getDescription()
    the description of the status
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescription()`

  - ### getInformations

    public List<InformationType> getInformations()
    Gets the value of the informations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the informations property.

    For example, to add a new item, do as follows:

         getInformations().add(newItem);

    Objects of the following type(s) are allowed in the list `InformationType`

    Returns:
      The value of the informations property.